ssh_socket_callbacks(3)

NAME
ssh_socket_callbacks - These are the callbacks exported by the socket structure They are called by the socket module when a socket event appears.

SYNOPSIS

#include <include/libssh/callbacks.h>

  Data Fields
ssh_callback_int_int connected
This function is called when the ssh_socket_connect was used on the socket on nonblocking state, and the connection successed.
ssh_callback_int controlflow
This function will be called each time a controlflow state changes, i.e.
ssh_callback_data data
This function will be called each time data appears on socket.
ssh_callback_int_int exception
This function will be called each time an exception appears on socket.
void * userdata
User-provided data.

Detailed Description

These are the callbacks exported by the socket structure They are called by the socket module when a socket event appears.

Field Documentation

  ssh_callback_int ssh_socket_callbacks::controlflow

This function will be called each time a controlflow state changes, i.e. the socket is available for reading or writing.

  ssh_callback_data ssh_socket_callbacks::data

This function will be called each time data appears on socket. The data not consumed will appear on the next data event.

  ssh_callback_int_int ssh_socket_callbacks::exception

This function will be called each time an exception appears on socket. An exception can be a socket problem (timeout, ...) or an end-of-file.

  void* ssh_socket_callbacks::userdata

User-provided data. User is free to set anything he wants here

Author

Generated automatically by Doxygen for libssh from the source code.